Subject: Re: PMP> Questions about clarifying prtInterpreterFeedAddressability [and PCL]

From: Tom Hastings <[email-masked]>
Date: Mon, 3 Feb 1997 09:38:44 PST

Thanks Bill,

I wonder if we should actually add some comment about the -1, such as:

  "e.g., PostScript".

How about PCL:

>4. Also PCL has 7200th of an inch as the units in which documents can 
>specify addressibility.  Should PCL be 7200th of an inch for a 600 dpi 
>marker, or 600, if the PCL intepreter supports the full capability of 
>the marker?  In other words, is the prtInterpreterAddressibility[X}Feed 
>objects specifying the units in which addessibility may be specified
>in a document or are they trying to specify the addressibility 
>of the interpreter in combination with the marker?

Thanks,
Tom

At 23:44 01/30/97 PST, Bill Wagner wrote:
>     Tom,
>     
>     This originally was extensively discussed. My recollection is:
>     
>     1.This is interpreter addressability not marker addressability. That 
>     is, it refers to the smallest unit for which the interpreter can 
>     define color. Therefore, it is unclear that multiple markers need be 
>     considered. And yes, it was considered that an interpreter did not 
>     need to have the same addressability as the marker(s) which is why 
>     there are two sets of objects.
>     
>     2. The value of -1 and the comments about no restriction were added 
>     specificaly at the request of Adobe for use in reference to 
>     PostScript.
>     
>     3. By my understanding of English (which I agree may not be 
>     everyone's), the descriptions refer to the maximum addresability not 
>     the current addressability. I don't understand why that needs 
>     clarification.
>     
>     Hope this helps.
>     
>     Bill Wagner, DPI
>
>
>______________________________ Reply Separator
_________________________________
>Subject: PMP> Questions about clarifying prtInterpreterFeedAddressabi
>Author:  Tom Hastings <[email-masked]> at Internet
>Date:    1/30/97 5:47 PM
>
>
>RFC 1759 (and our most recent Internet Draft) have the following:
>     
>prtInterpreterFeedAddressability OBJECT-TYPE
>    SYNTAX     Integer32
>    MAX-ACCESS read-only
>    STATUS     current
>    DESCRIPTION
>        "The maximum interpreter addressability in the feed 
>        direction in 10000 prtMarkerAddressabilityUnits (see 
>        prtMarkerAddressabilityFeedDir ) for this interpreter. 
>        The value (-1) means other and specifically indicates
>        that the sub-unit places no restrictions on this parameter."
>    ::= { prtInterpreterEntry 8 }
>     
>prtInterpreterXFeedAddressability OBJECT-TYPE
>    SYNTAX     Integer32
>    MAX-ACCESS read-only
>    STATUS     current
>    DESCRIPTION
>        "The maximum interpreter addressability in the cross feed 
>        direction in 10000 prtMarkerAddressabilityUnits (see 
>        prtMarkerAddressabilityXFeedDir) for this interpreter. 
>        The value (-1) means other and specifically indicates 
>        that the sub-unit places no restrictions on this 
>        parameter."
>    ::= { prtInterpreterEntry 9 }
>     
>I thought we had agreed to add clarifications:
>     
>1. That maximum means the highest that the interpreter can support in 
>that direction, not the current value.
>     
>2. That the maximum applies to the first marker, if the device has multiple 
>markers of different resolution.
>     
>     
>In addition, we have additional questions:
>     
>3. What about interpreters that don't
>put any constraints on the addressibility, such as PostScript. 
>Should PostScript use the value -1?  Or should PostScript just 
>report the maximum that the marker can provide?
>     
>     
>4. Also PCL has 7200th of an inch as the units in which documents can 
>specify addressibility.  Should PCL be 7200th of an inch for a 600 dpi 
>marker, or 600, if the PCL intepreter supports the full capability of 
>the marker?  In other words, is the prtInterpreterAddressibility[X}Feed 
>objects specifying the units in which addessibility may be specified
>in a document or are they trying to specify the addressibility 
>of the interpreter in combination with the marker?
>     
>Some interpreters may not be able to provide the maximum addressibility 
>that the marker provides, in a particular direction.  In that case, these 
>values would be less than the corresponding 
>prtMarkerAddressibility[X]FeedDir values.
>     
>The Glossary defines addressibility in terms of the marker:
>     
>Addressability - on the marker, the number of distinctly setable marking 
>units (pels) per unit of addressability unit; for example, 300 dots per inch 
>is expressed as 300 per 1000 Thousandths Of Inches and 4 dots per millimeter 
>is 4 per 1000 Micrometers. Addressability is not resolution because marks 
>that are one addressability position apart may not be independently 
>resolvable by the eye due to factors such as gain in the area of marks so 
>they overlap or nearly touch.
>     
>Thanks,
>Tom
>     
>     
>     
>
>